/// <reference types="react" />
import { SVGIconProps } from '../components/svg';
import { TSX } from '../types';
type Props = Omit<TSX<'button'>, 'className'> & {
    className?: {
        button?: string;
        icon?: string;
    };
    svgProps?: SVGIconProps;
};
export declare function WalletButton({ className, svgProps, ...props }: Props): JSX.Element;
export {};
